Package de.willuhn.jameica.hbci.gui.parts

# Class ErweiterteVerwendungszwecke

java.lang.Object
de.willuhn.jameica.hbci.gui.parts.ErweiterteVerwendungszwecke

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Part`

public class ErweiterteVerwendungszwecke extends Object implements de.willuhn.jameica.gui.Part
Container, der eine Liste mit erweiterten Verwendungszwecken anzeigen kann.

## Constructor Summary

Constructors
Constructor
Description
`ErweiterteVerwendungszwecke(HibiscusTransfer transfer)`
ct.
`ErweiterteVerwendungszwecke(SammelTransferBuchung buchung)`
ct.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getTexts()`
Liefert eine Liste der eingegebenen Verwendungszwecke.
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ErweiterteVerwendungszwecke

public ErweiterteVerwendungszwecke(HibiscusTransfer transfer) throws RemoteException
ct.

Parameters:
  `transfer` - der Auftrag.
Throws:
  `RemoteException`

### ErweiterteVerwendungszwecke

public ErweiterteVerwendungszwecke(SammelTransferBuchung buchung) throws RemoteException
ct.

Parameters:
  `buchung` - die Buchung.
Throws:
  `RemoteException`

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Throws:
  `RemoteException`
See Also:
  - `Part.paint(org.eclipse.swt.widgets.Composite)`

### getTexts

public String[] getTexts() throws RemoteException
Liefert eine Liste der eingegebenen Verwendungszwecke.

Returns:
  Liste der Verwendungszwecke. Nie null sondern hoechstens ein leeres Array.
Throws:
  `RemoteException`